Bug 250834 - ZeroDivisionError when attempting to click an empty lvm volume group
ZeroDivisionError when attempting to click an empty lvm volume group
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.1
All Linux
high Severity high
: ---
: ---
Assigned To: Ryan McCabe
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 16:51 EDT by Corey Marthaler
Modified: 2009-04-16 18:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0640
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 10:38:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-08-03 16:51:36 EDT
Description of problem:
If you click to Storage -> Volume Groups... you'll see on the left side that
under any valid volume groups you may have, there's a blank spot where a volume
group could be. If you click that you'll see the following.

Error Type
    ZeroDivisionError
Error Value
    float division
Request made at
    2007/08/03 15:46:04.588 GMT-5 


------
2007-08-03T15:46:04 ERROR Zope.SiteErrorLog
https://taft-04:8084/luci/storage/mappings_provider
Traceback (innermost last):
  Module ZPublisher.Publish, line 115, in publish
  Module ZPublisher.mapply, line 88, in mapply
  Module ZPublisher.Publish, line 41, in call_object
  Module Shared.DC.Scripts.Bindings, line 311, in __call__
  Module Shared.DC.Scripts.Bindings, line 348, in _bindAndExec
  Module Products.PageTemplates.ZopePageTemplate, line 255, in _exec
  Module Products.PageTemplates.PageTemplate, line 104, in pt_render
   - <ZopePageTemplate at /luci/storage/mappings_provider>
  Module TAL.TALInterpreter, line 238, in __call__
  Module TAL.TALInterpreter, line 281, in interpret
  Module TAL.TALInterpreter, line 511, in do_setGlobal_tal
  Module Products.PageTemplates.TALES, line 221, in evaluate
   - URL: /luci/storage/mappings_provider
   - Line 19, Column 0
   - Expression: <PythonExpr here.get_mappings_info(mapper, cyl_width)>
   - Names:
      {'container': <Folder at /luci/storage>,
       'context': <Folder at /luci/storage>,
       'default': <Products.PageTemplates.TALES.Default instance at 0x2aaab59e2ef0>,
       'here': <Folder at /luci/storage>,
       'loop': <Products.PageTemplates.TALES.SafeMapping object at 0x131aeb00>,
       'modules': <Products.PageTemplates.ZRPythonExpr._SecureModuleImporter
instance at 0x2aaab59e5680>,
       'nothing': None,
       'options': {'args': ()},
       'repeat': <Products.PageTemplates.TALES.SafeMapping object at 0x131aeb00>,
       'request': <HTTPRequest,
URL=https://taft-04:8084/luci/storage/mappings_provider>,
       'root': <Application at >,
       'template': <ZopePageTemplate at /luci/storage/mappings_provider>,
       'traverse_subpath': [],
       'user': <PropertiedUser 'admin'>}
  Module Products.PageTemplates.ZRPythonExpr, line 47, in __call__
   - __traceback_info__: here.get_mappings_info(mapper, cyl_width)
  Module Python expression "here.get_mappings_info(mapper, cyl_width)", line 1,
in <expression>
  Module Products.ExternalMethod.ExternalMethod, line 232, in __call__
   - __traceback_info__: (({'need_apply_button': False, 'color': 'black',
'mappings-view_css_classnames': {'textual_view': 'invisible', 'graphical_view':
'visible'}, 'actions': [{'msg': '', 'link':
u'./?pagetype=102&mapper_id=volume_group:&mapper_type=volume_group', 'name':
'Add Physical Volumes'}], 'pretty_targets_name': 'Logical Volumes', 'sources':
[], 'targets': [], 'xml': <DOM Element: mapper at 0x12723128>, 'mapper_type':
u'volume_group', 'new_targets': [], 'pretty_source_name': 'Physical Volume',
'props': {}, 'graphical_view': True, 'props_ordered': [], 'pretty_target_name':
'Logical Volume', 'pretty_name': u'', 'pretty_type': 'Volume Group', 'icon':
'icon_mapper_VG.png', 'pretty_sources_name': 'Physical Volumes', 'mapper_id':
'volume_group:', 'targets_all': [], 'new_sources': []}, 600), {}, None)
  Module StorageReport, line 2063, in get_mappings_info
ZeroDivisionError: float division


Version-Release number of selected component (if applicable):
luci-0.10.0-3.el5
ricci-0.10.0-3.el5


How reproducible:
everytime
Comment 1 Corey Marthaler 2007-08-06 17:58:33 EDT
It appears that this blank spot is where the "New Volume Group" is supposed to
be, as I can't seem to find a "New Volume Group" icon anymore. This appears to
be a regression.
Comment 2 Corey Marthaler 2007-08-06 18:07:18 EDT
Nope, apparently the pvs I had were added to the root volume group, which I
wasn't aware would happen when I created them, so now that I have no pvs
available, the create a new vg task is missing, which is yet another example of
bz 251052 and how removing tasks gets confusing. :( 

Ended up fixing my issue by hand.

This bz remains a bug, but not a regression.
Comment 5 Corey Marthaler 2007-08-16 15:56:58 EDT
fix verified in luci-0.10.0-4.el5/ricci-0.10.0-4.el5
Comment 7 errata-xmlrpc 2007-11-07 10:38:34 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0640.html

Note You need to log in before you can comment on or make changes to this bug.